namespace IRaCIS.Core.Domain.Models;

[Comment("医生计费 - 每月支付详情表")]
[Table("PaymentDetail")]
public partial class PaymentDetail : BaseFullAuditEntity
{
    public Guid PaymentId { get; set; }
    public Guid DoctorId { get; set; }
    public string YearMonth { get; set; } = string.Empty;
    public Guid TrialId { get; set; }

    
    public string TrialCode { get; set; } = string.Empty;

    
    public string PaymentType { get; set; } = string.Empty;
    public int Count { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal BasePrice { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal PersonalAdditional { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TrialAdditional { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal ExchangeRate { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal PaymentUSD { get; set; }

    [DecimalPrecision(18, 4)]
    public decimal PaymentCNY { get; set; }

    public int ShowTypeOrder { get; set; }
    public int ShowCodeOrder { get; set; }

}
